Subject: Re: bug#7469: 24.0.50; report-emacs-bug is broken again (on Windows)

From: Jason Rumney <[email-masked]>
Date: Wed, 24 Nov 2010 06:56:39 +0800

Lars Magne Ingebrigtsen <[email-masked]> writes:

>> It breaks report-emacs-bug, which uses the mailto: URLs.
>> `browse-url-mail' simply uses Emacs to compose a mail message, which
>> is of course useless when browse-url is called from mailclient.el
>> because Emacs failed to find any better way of sending mail, and falls
>> back to mailto:.
>
> So report-emacs-bug tries to determine whether Emacs can send mail, and
> if it can't, it tries to open a browser, in the hope that it knows how
> to send mail?  In what situations does this occur?

Why would it pop up a browser for a mailto: URL? Most systems will be
configured to open a mail client for such URLs. I think the default URL
handler for modern GNU/Linux desktops as well as Windows and Mac is
capable of this.